Upstream information

CVE-2019-3813 at MITRE

Description

Spice, versions 0.5.2 through 0.14.1, are vulnerable to an out-of-bounds read due to an off-by-one error in memslot_get_virt. This may lead to a denial of service, or, in the worst case, code-execution by unauthenticated attackers.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.4
Vector AV:A/AC:M/Au:N/C:P/I:P/A:P
Access Vector Adjacent Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 8
Vector AV:A/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H AV:A/AC:H/PR:L/UI:N/S:C/C:H/I:H/A:H
Access Vector Adjacent Network Adjacent Network
Access Complexity High High
Privileges Required None Low
User Interaction None None
Scope Unchanged Changed
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
SUSE Bugzilla entry: 1122706 [CONFIRMED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 4
  • libspice-server1 >= 0.12.7-10.6.1
  • spice >= 0.12.7-10.6.1
Patchnames:
SUSE-Storage-4-2019-230
SUSE Linux Enterprise Desktop 12 SP3
  • libspice-server1 >= 0.12.8-12.1
  • spice >= 0.12.8-12.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2019-241
SUSE Linux Enterprise Desktop 12 SP4
  • libspice-server1 >= 0.12.8-12.1
  • spice >= 0.12.8-12.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-241
SUSE Linux Enterprise Module for Server Applications 15
  • libspice-server-devel >= 0.14.0-4.6.2
  • libspice-server1 >= 0.14.0-4.6.2
  • spice >= 0.14.0-4.6.2
Patchnames:
SUSE-SLE-Module-Server-Applications-15-2019-242
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • libspice-server1 >= 0.12.7-10.6.1
  • spice >= 0.12.7-10.6.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2019-230
SUSE Linux Enterprise Server 11 SP4
  • libspice-server1 >= 0.12.4-18.1
  • spice >= 0.12.4-18.1
Patchnames:
slessp4-spice-13943
SUSE Linux Enterprise Server 12 SP1-LTSS
  • libspice-server1 >= 0.12.5-10.2.3.1
  • spice >= 0.12.5-10.2.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-231
SUSE Linux Enterprise Server 12 SP2-BCL
  • libspice-server1 >= 0.12.7-10.6.1
  • spice >= 0.12.7-10.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-230
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • libspice-server1 >= 0.12.7-10.6.1
  • spice >= 0.12.7-10.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-230
SUSE Linux Enterprise Server 12 SP2-LTSS
  • libspice-server1 >= 0.12.7-10.6.1
  • spice >= 0.12.7-10.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-230
SUSE Linux Enterprise Server 12 SP3
  • libspice-server1 >= 0.12.8-12.1
  • spice >= 0.12.8-12.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-241
SUSE Linux Enterprise Server 12 SP4
  • libspice-server1 >= 0.12.8-12.1
  • spice >= 0.12.8-12.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-241
SUSE Linux Enterprise Server 12-LTSS
  • libspice-server1 >= 0.12.4-8.21.1
  • spice >= 0.12.4-8.21.1
Patchnames:
SUSE-SLE-SERVER-12-2019-229
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • libspice-server1 >= 0.12.4-18.1
  • spice >= 0.12.4-18.1
Patchnames:
slessp4-spice-13943
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • libspice-server1 >= 0.12.5-10.2.3.1
  • spice >= 0.12.5-10.2.3.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2019-231
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • libspice-server1 >= 0.12.5-10.2.3.1
  • spice >= 0.12.5-10.2.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-231
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libspice-server1 >= 0.12.7-10.6.1
  • spice >= 0.12.7-10.6.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2019-230
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • libspice-server1 >= 0.12.7-10.6.1
  • spice >= 0.12.7-10.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-230
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • libspice-server1 >= 0.12.7-10.6.1
  • spice >= 0.12.7-10.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-230
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • libspice-server1 >= 0.12.7-10.6.1
  • spice >= 0.12.7-10.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-230
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libspice-server1 >= 0.12.8-12.1
  • spice >= 0.12.8-12.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-241
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libspice-server1 >= 0.12.8-12.1
  • spice >= 0.12.8-12.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-241
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • libspice-server1 >= 0.12.4-8.21.1
  • spice >= 0.12.4-8.21.1
Patchnames:
SUSE-SLE-SERVER-12-2019-229
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libspice-server-devel >= 0.12.4-18.1
  • spice >= 0.12.4-18.1
Patchnames:
sdksp4-spice-13943
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libspice-server-devel >= 0.12.8-12.1
  • spice >= 0.12.8-12.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2019-241
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libspice-server-devel >= 0.12.8-12.1
  • spice >= 0.12.8-12.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-241
SUSE OpenStack Cloud 7
  • libspice-server1 >= 0.12.7-10.6.1
  • spice >= 0.12.7-10.6.1
Patchnames:
SUSE-OpenStack-Cloud-7-2019-230
openSUSE Leap 15.0
  • libspice-server-devel >= 0.14.0-lp150.3.6.1
  • libspice-server1 >= 0.14.0-lp150.3.6.1
  • libspice-server1-debuginfo >= 0.14.0-lp150.3.6.1
  • spice >= 0.14.0-lp150.3.6.1
  • spice-debugsource >= 0.14.0-lp150.3.6.1
Patchnames:
openSUSE-2019-167
openSUSE Leap 42.3
  • libspice-server-devel >= 0.12.8-13.1
  • libspice-server1 >= 0.12.8-13.1
  • libspice-server1-debuginfo >= 0.12.8-13.1
  • spice >= 0.12.8-13.1
  • spice-debugsource >= 0.12.8-13.1
Patchnames:
openSUSE-2019-176


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP3 spice Released
SUSE Linux Enterprise Desktop 12 SP3 spice-gtk Not affected
SUSE Linux Enterprise Desktop 12 SP4 spice Released
SUSE Linux Enterprise Desktop 12 SP4 spice-gtk Not affected
SUSE Linux Enterprise High Performance Computing 12 spice Released
SUSE Linux Enterprise High Performance Computing 12 spice-gtk Not affected
SUSE Linux Enterprise Module for Basesystem 15 GA spice-gtk Not affected
SUSE Linux Enterprise Module for Server Applications 15 GA spice Released
SUSE Linux Enterprise Module for Server Applications 15 GA spice-gtk Not affected
SUSE Linux Enterprise SDK 11 SP4 spice Released
SUSE Linux Enterprise SDK 12 SP3 spice Released
SUSE Linux Enterprise SDK 12 SP3 spice-gtk Not affected
SUSE Linux Enterprise SDK 12 SP4 spice Released
SUSE Linux Enterprise SDK 12 SP4 spice-gtk Not affected
SUSE Linux Enterprise Server 11 SP4 spice Released
SUSE Linux Enterprise Server 12 GA LTSS spice Released
SUSE Linux Enterprise Server 12 GA LTSS spice-gtk Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS spice Released
SUSE Linux Enterprise Server 12 SP1 LTSS spice-gtk Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS spice Released
SUSE Linux Enterprise Server 12 SP2 LTSS spice-gtk Not affected
SUSE Linux Enterprise Server 12 SP3 spice Released
SUSE Linux Enterprise Server 12 SP3 spice-gtk Not affected
SUSE Linux Enterprise Server 12 SP4 spice Released
SUSE Linux Enterprise Server 12 SP4 spice-gtk Not affected
SUSE Linux Enterprise Server for SAP Applications 12 GA spice Affected
SUSE Linux Enterprise Server for SAP Applications 12 GA spice-gtk Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 spice Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 spice-gtk Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 spice Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 spice-gtk Not affected